/* global console, define, window, $ */
define([], function () {
    "use strict";
    var data = {};

    // =========================================================================
    // orbital elements venus
    // =========================================================================

    data.venus = {
        id: "venus",
        name: "Venus",
        semiMajorAxis: [0.72333566, 0.00000390],
        eccentricity: [0.00677672, -0.00004107],
        inclination: [3.39467605, -0.00078890],
        meanLongitude: [181.97909950, 58517.81538729],
        longitudePerihelion: [131.60246718, 0.00268329],
        longitudeAscendingNode: [76.67984255, -0.27769418],
        magnitude: [-4, 1.322, 0, 0.4247]
    };


    // =========================================================================
    // orbital elements mars
    // =========================================================================

    data.mars = {
        id: "mars",
        name: "Mars",
        semiMajorAxis: [1.52371034, 0.00001847],
        eccentricity: [0.09339410, 0.00007882],
        inclination: [1.84969142, -0.00813131],
        meanLongitude: [-4.55343205, 19140.30268499],
        longitudePerihelion: [-23.94362959, 0.44441088],
        longitudeAscendingNode: [49.55953891, -0.29257343],
        magnitude: [-1.3, 1.486, 0, 0]
    };

    // =========================================================================
    // orbital elements jupiter
    // =========================================================================

    data.jupiter = {
        id: "jupiter",
        name: "Jupiter",
        semiMajorAxis: [5.20288700, -0.00011607],
        eccentricity: [0.04838624, -0.00013253],
        inclination: [1.30439695, -0.00183714],
        meanLongitude: [34.39644051, 3034.74612775],
        longitudePerihelion: [14.72847983, 0.21252668],
        longitudeAscendingNode: [100.47390909, 0.20469106],
        magnitude: [-8.93, 0, 0, 0]
    };

    // =========================================================================
    // orbital elements saturn
    // =========================================================================

    data.saturn = {
        id: "saturn",
        name: "Saturn",
        semiMajorAxis: [9.53667594, -0.00125060],
        eccentricity: [0.05386179, -0.00050991],
        inclination: [2.48599187, 0.00193609],
        meanLongitude: [49.95424423, 1222.49362201],
        longitudePerihelion: [92.59887831, -0.41897216],
        longitudeAscendingNode: [113.66242448, -0.28867794],
        magnitude: [-8.68, 4.4, 0, 0]
    };

    // =========================================================================
    // orbital elements earth
    // =========================================================================

    data.earth = {
        id: "earth",
        name: "Earth",
        semiMajorAxis: [1.00000261, 0.00000562],
        eccentricity: [0.01671123, -0.00004392],
        inclination: [-0.00001531, -0.01294668],
        meanLongitude: [100.46457166, 35999.37244981],
        longitudePerihelion: [102.93768193, 0.32327364],
        longitudeAscendingNode: [0, 0]
    };

    // =========================================================================
    // orbital elements sun
    // =========================================================================

    data.sun = {
        id: "sun",
        name: "Sun"
    };

    return data;
});