/* global console, define, window, $, document */
(function(global) {

	// packages
	var dia = global.astro.dia;
	var Joint = global.Joint;
	var map = global.astro.map;
	
	var start = function() {

		// world
		$("body").append("<div id='world'></div>");
		Joint.paper("world", 1200, 1200);

		// deactivate drag&drop (for irefox)
		$(document).bind("dragstart", function() {
			return false;
		});

		// toolbar
		var toolbar = $("<div></div>");
		$("body").append(toolbar);
		var saveButton = $("<button>save</button>");
		toolbar.append(saveButton);
		saveButton.click(function() {
			dia.save("../diagram/"+name.val() + '.dat');
		});
		var loadButton = $("<button>load</button>");
		toolbar.append(loadButton);
		loadButton.click(function() {
			dia.load("../diagram/"+name.val() + '.dat');
		});
		var name = $("<input value='dia' type='text'></input>");
		toolbar.append(name);

		// propertyeditor
		$("body").append($("<div id='propertyeditor'></div>"));

		// init context menu
		dia.contextMenuInit();

	};

	map.init("..",start);
	
})(this);
